// Server.java

public class Server {

  public static void main(String[] args) {
    // Inicializar el ORB.
    org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args,null);
    // Inicializar el BOA.
    org.omg.CORBA.BOA boa = orb.BOA_init();
    // Crear el objeto "AccountManager".
    Bank.AccountManager manager = 
      new AccountManagerImpl("BankManager");
    // Exportar el objeto recin creado.
    boa.obj_is_ready(manager);
    System.out.println(manager + " est disponible.");
    // Esperar las peticiones
    boa.impl_is_ready();
  }
}
