#!/usr/bin/python -O

""" Servidor de 'Banco'. """

import sys
from Fnorb.orb import CORBA,BOA

import Bank
import Bank_skel
from AccountManagerImpl import *
from AccountImpl import *

def main(argv):
    print 'Inicializando el ORB...'
    # Inicializar el ORB.
    orb = CORBA.ORB_init(argv, CORBA.ORB_ID)

    print 'Inicializando el BOA...'
    # Inicializar el BOA.
    boa = BOA.BOA_init(argv, BOA.BOA_ID)

    print 'Creando la referencia a un objeto'
    # Crear una referencia ('dsr' es la clave del objeto).
    obj = boa.create('dsr', AccountManagerImpl._FNORB_ID)

    print 'Creando implementacin...'
    # Crear una instancia del objeto implementacin.
    impl = AccountManagerImpl()

    print 'Activando la implementacin...'
    boa.obj_is_ready(obj,impl)

    f = open('bank.ior', 'w')
    f.write(orb.object_to_string(obj))
    f.close()

    print 'Servidor creado y aceptando peticiones...'

    # Comenzar el ciclo de recepcin de eventos.
    boa._fnorb_mainloop()

    return 0


########################################################

if __name__ == '__main__':
    sys.exit( main(sys.argv) )

########################################################
