package majordomo;

import java.sql.*;
import java.rmi.*;
import majordomo.*;

public class MsgCollection extends GenericRemoteCollection
{
    public MsgCollection(String dataSource) throws RemoteException
    {
        super(dataSource);   
    }

    protected String tableName() { return "Msgs"; }

    public int remove() throws RemoteException
    {
        // No Implementado !!!
        return 0;
    }

    public int add(Object o) throws RemoteException
    {
        Msg tmpMsg;
        try {
            if (rs != null)
            {
                rs.close();
                st.close();
                rs = null;
            }

            tmpMsg = (Msg)o;

            st = con.createStatement();
            st.executeUpdate("insert into Msgs values ('"+
                                        tmpMsg.getId() + "','" +
                                        "N" + "','" +
                                        tmpMsg.getLista() + "','"+
                                        tmpMsg.getEmail() + "','"+
                                        tmpMsg.getFecha() + "','"+
                                        tmpMsg.getSubject() + "','"+
                                        tmpMsg.getMsg() + "')");

            st.close();
            st = null;

        } catch (SQLException e)
        {
            System.err.println("Error: "+ e);
            e.printStackTrace();
        }
        return 0;
    }

    public Object nextElement() throws RemoteException
    {
        if (rs == null)
            return null;               
        try {
            if (rs.next())
            {
                // Construir un nuevo objeto Lista y enviarlo
                return new Msg( rs.getString("id"),
                                rs.getString("sent"),
                                rs.getString("lista"),
                                rs.getString("email"),
                                rs.getString("fecha"),
                                rs.getString("subject"),
                                rs.getString("msg"));
            }
        } catch (SQLException e)
        {
            System.err.println("Error: "+e);
            e.printStackTrace();
        }

        return null;
    }

}
