#!/usr/bin/python -O  # -*- Python -*-

""" Cliente para el banco. """

# Mdulos `standard' o `built-in'.
import sys

# Mdulos Fnorb.
from Fnorb.orb import CORBA

# Stubs generados por `fnidl'.
import Bank


def main(argv):
    """ Cliente! """

    print 'Inicializando el ORB...'

    # Iniciar el ORB.
    orb = CORBA.ORB_init(argv, CORBA.ORB_ID)

    # Leer el IOR de un fichero
    f = open('bank.ior', 'r')
    ior = f.read()
    f.close()

    # Convertir el IOR a una referencia de un objeto activo.
    manager = orb.string_to_object(ior)

    # Comprobar que el objeto es del tipo que esperamos
    if not manager._is_a('IDL:Bank/AccountManager:1.0'):
        raise 'Este no es un servidor "Banco"!'

    # Obtener la cuenta del servidor y el balance
    account = manager.open( argv[1] )
    balance = account.balance()
    print "Cliente: ", argv[1]
    print "Balance: ", balance

    return 0

###############################################################

if __name__ == '__main__':
    # Ejecutar el cliente
    sys.exit(main(sys.argv))

###############################################################
