#!/usr/bin/tclsh  # -*- Tcl -*-

set serverData [read stdin $env(CONTENT_LENGTH)]
#set serverData "yo=tu+other%64&el=ella"

puts "Content-type: text/html\r\n\r\n"

# Decode encoded QUERY data
proc decode {str} {
    global FORM
    foreach pair [split $str &] {
        # Proteger los caracteres especiales de Tcl (de tclhttpd 2.1.2)
        regsub -all {[][\\\$]} $pair {\\&} pair

        set nameandval [split $pair =]
        set name [lindex $nameandval 0]
        set val [lindex $nameandval 1]

        # Cambiar + por { } a $val
        regsub -all {\+} $val { } val

        # Sustituir las cadenas %xx por su valor ASCII
        regsub -all {%([a-zA-z0-9][a-zA-Z0-9])} $val {[format %c 0x\1]} val

        # Actualizar FORM y producir las sustituciones de [format]
        set FORM($name) [subst $val]
    }
}

proc printCabecera {msg} {
    set head [open header.html]
    set file [read $head]

    # La siguiente expresin es un poco curiosa...
    regsub -all {[\\&]} $msg {\\&} msg
    regsub -all {<!--HEADERINFO-->} $file "$msg" file

    puts $file
    close $head
}

proc printPie {} {
    set foot [open footer.html]
    set file [read $foot]
    puts $file
    close $foot
}

decode $serverData
printCabecera {Inserci&oacute;n de un mensaje}

load /info/tcl/tclodbc.zip/tclodbc

set lista $FORM(listname);
set email $FORM(remite);
set fecha $FORM(fecha);
set subject $FORM(subject);
set msg $FORM(msg);
regsub -all {\n} $msg _ msg

# Conectar con la base de datos
database connect db {Base de Datos de Majordomo}

# Inicializar contador
set counter [open "contador"]
set id [gets $counter]
close $counter

db statement insert "insert into Msgs values ('$id', 'N', '$lista',\
                    '$email', '$fecha', '$subject', '$msg')"
insert execute

incr id

set counter [open "contador" w]
puts $counter $id
close $counter

db disconnect

puts  "<CENTER>Su mensaje ha sido enviado a todos \
         los componentes de la lista $lista.</CENTER>"

printPie
