// CountDCOMClient.java

import count.*;

class CountDComClient
{
        public static void main(String args[])
        {
                try{
                        // Encontrar el objeto con interfaz ICount
                        System.out.println("Creando el objeto Count");
                        ICount counter = (ICount)new count.Count();

                        // Establecer "sum" al valor inicial de 0
                        System.out.println("Inicializando sum a 0");
                        counter.set_sum((int)0);

                        // Calcular el tiempo inicial
                        long startTime = System.currentTimeMillis();

                        // Incrementar 1000 veces
                        System.out.println("Incrementando");
                        for (int i=0; i< 1000; i++)
                        {
                                counter.increment();
                        }

                        // Calcular el tiempo final
                        long stopTime = System.currentTimeMillis();
                        System.out.println("ping = " +
                                ((stopTime - startTime)/1000f)
                                +  " msecs");
                        System.out.println("Sum = " + counter.get_sum());
                } catch(Exception e)
                {       System.err.println("Error:");
                        e.printStackTrace();
                }
        }
	
}